using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace _2
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');
            int N = int.Parse(s[0]);
            int M = int.Parse(s[1]);
            int[] a = new int[N];
            int[,] b = new int[M, 2];
            for (int i = 0; i < N; i++)
                a[i] = int.Parse(Console.ReadLine());
            for (int i = 0; i < M; i++)
            {
                string[] p = Console.ReadLine().Split(' ');
                b[i, 0] = int.Parse(p[0]);
                b[i, 1] = int.Parse(p[1]);
            }
            int[] prijatelji = new int[M];
            int[] neprijatelji = new int[M];
            for (int i = 0; i < M; i++)
            {
                prijatelji[i] = a[b[i, 0]-1] + a[b[i, 1]-1];
                neprijatelji[i] = -(a[b[i, 0]-1] + a[b[i, 1]-1]);
            }
            int zbir = 0;
            for (int i = 0; i < M; i++)
            {
                if (prijatelji[i] > neprijatelji[i])
                    zbir = zbir + prijatelji[i];
                else
                    zbir = zbir + neprijatelji[i];
            }
            Console.WriteLine(zbir);
        }
    }
}